Create a document
curl --request POST \
--url https://api.platform.arb.inc/filings/documents/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"caseID": "2025-08-00125",
"documentID": "statementOfClaim",
"fields": {
"respondentName": "Mike Smith",
"respondentAddress": "123 Main Street"
}
}
'import requests
url = "https://api.platform.arb.inc/filings/documents/create"
payload = {
"caseID": "2025-08-00125",
"documentID": "statementOfClaim",
"fields": {
"respondentName": "Mike Smith",
"respondentAddress": "123 Main Street"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
caseID: '2025-08-00125',
documentID: 'statementOfClaim',
fields: {respondentName: 'Mike Smith', respondentAddress: '123 Main Street'}
})
};
fetch('https://api.platform.arb.inc/filings/documents/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"filingID": "3"
}"case not found""you are registered as an observer and cannot file documents in this case""document not allowed in this phase""filing deadline for this document has closed""filing limit for this document type reached"{
"validationErrors": [
{
"field": "respondentName",
"message": "must be at least 20 characters."
}
]
}filings
Create a document
Creates a new document for a case using a document template.
POST
/
filings
/
documents
/
create
Create a document
Authorizations
access token
Body
application/json
ID of the case to file into.
Example:
"2025-08-00125"
Identifier of the document type/template.
Example:
"statementOfClaim"
Key-value field inputs for the document.
Show child attributes
Show child attributes
Example:
{ "respondentName": "Mike Smith", "respondentAddress": "123 Main Street" }
Response
Document successfully filed.
ID of the created filing.
Example:
"3"
⌘I